Waves V14 plugins

Hello,
Does Cubase Pro 12 support Waves V14 plugins? It seems to be mandatory in order to upgrade the V13 ones.
Thank you,
Greg

Such info is usually available from the developer’s site:
https://www.waves.com/support/tech-specs/supported-hosts#version-14

Waves always tests their plugins with the latest version of Cubase.

Hi
I’m using the v13 ones in Pro 12. Work fine so far. That’s on Windows 10.
No requirement to upgrade I’m aware of :slight_smile:

Not sure about Windows 11 though?

Cheers